com.h3c.of.lib.err

## Enum ECodeTableFeaturesFailed

- java.lang.Object
- - java.lang.Enum<ECodeTableFeaturesFailed>
  - - com.h3c.of.lib.err.ECodeTableFeaturesFailed

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeTableFeaturesFailed>

      public enum ECodeTableFeaturesFailed
      extends Enum<ECodeTableFeaturesFailed>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.TABLE_FEATURES_FAILED` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_ARGUMENT` Unsupported property value; Since 1.3.
    `BAD_LEN` Length problem in properties; Since 1.3.
    `BAD_METADATA` Invalid metadata mask; Since 1.3.
    `BAD_TABLE` Specified table does not exist; Since 1.3.
    `BAD_TYPE` Unknown property type; Since 1.3.
    `EPERM` Permissions error; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeTableFeaturesFailed code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeTableFeaturesFailed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeTableFeaturesFailed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_TABLE

          public static final ECodeTableFeaturesFailed BAD_TABLE

      Specified table does not exist; Since 1.3.

    - #### BAD_METADATA

          public static final ECodeTableFeaturesFailed BAD_METADATA

      Invalid metadata mask; Since 1.3.

    - #### BAD_TYPE

          public static final ECodeTableFeaturesFailed BAD_TYPE

      Unknown property type; Since 1.3.

    - #### BAD_LEN

          public static final ECodeTableFeaturesFailed BAD_LEN

      Length problem in properties; Since 1.3.

    - #### BAD_ARGUMENT

          public static final ECodeTableFeaturesFailed BAD_ARGUMENT

      Unsupported property value; Since 1.3.

    - #### EPERM

          public static final ECodeTableFeaturesFailed EPERM

      Permissions error; Since 1.3.

  - ### Method Detail

    - #### values

          public static ECodeTableFeaturesFailed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeTableFeaturesFailed c : ECodeTableFeaturesFailed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeTableFeaturesFailed valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeTableFeaturesFailed code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.